@extends('admin.layout')
<style type="text/css">

</style>
@section('header')

@endsection

@section('content')
<div id="sg-main-container-sg">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-sm-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>{{ $model_name . '列表' }}</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                            </a>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div class="row">
                            <div class="col-sm-4">
                                <form>
                                    <div class="input-group">
                                        <input type="text" value="{{ request('keyword') }}"	placeholder="请输入学员姓名" name="keyword" class="input-sm form-control">
                                        <span class="input-group-btn">
									        <button type="submit" class="btn btn-sm btn-primary">搜索</button>
								        </span>
                                    </div>
                                </form>
                            </div>
                            <div class="col-sm-8 pull-right">
                                <a href="{{ $pre_uri . 'create' }}" class="btn btn-sm btn-primary pull-right">添加{{ $model_name }}</a>
                            </div>
                        </div>
                        <table class="table table-striped table-bordered table-hover dataTables-example dataTable" id="sg-main-table">
                            <thead>
                                <tr>
                                    <th>姓名</th>
                                    <th>年龄</th>
                                    <th>婚姻状况</th>
                                    <th>职业</th>
                                    <th>工作地点</th>
                                    <th>住址</th>
                                    <th colspan="2">请假次数</th>
                                    <th>操作</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if($list->count() <= 0)
                                    <tr>
                                        <td colspan="9" style="text-align: center;">暂无{{ $model_name }}</td>
                                    </tr>
                                @else
                                    @foreach($list as $item)
                                        <tr>
                                            <td>{{ $item->name }}</td>
                                            <td>{{ $item->age }}</td>
                                            <td>{{ $item->getMarry() }}</td>
                                            <td>{{ $item->job }}</td>
                                            <td>{{ $item->work_addr }}</td>
                                            <td>{{ $item->addr }}</td>
                                            <td>{{ empty($item->short_leave_times) ? 0 : $item->short_leave_times }}</td>
                                            <td>{{ empty($item->long_leave_times) ? 0 : $item->long_leave_times }}</td>
                                            <td>
                                                <div class="btn-group">
                                                    <a class="btn btn-sm btn-success btn-courses" href="{{ $pre_uri . 'Course/index?student_id=' . $item->id }}">课程</a>
                                                    <a class="btn btn-sm btn-info btn-edit" href="{{ $pre_uri . 'edit?id=' . $item->id }}">编辑</a>
                                                    <div class="btn btn-sm btn-danger btn-delete" data-id="{{ $item->id }}">删除</div>
                                                </div>
                                            </td>
                                        </tr>
                                    @endforeach
                                @endif
                            </tbody>
                        </table>
                        <div class="row">
                            <div class="col-sm-12">{{ $list->links() }}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="delete-modal" tabindex="-1" role="dialog" aria-labelledby="delete-label" aria-hidden="true">
    <div class="modal-dialog">
        <form id="delete-form" method="POST" action="{{ $pre_uri . 'delete' }}">
            {{ csrf_field() }}

            <input type="hidden" name="id" id="delete-input-id">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="delete-label">确定要删除吗？</h4>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
                    <button type="submit" class="btn btn-danger">删除</button>
                </div>
            </div>
        </form>
    </div>
</div>
@endsection

@section('footer')
<script type="text/javascript">
$(function () {
    $('#sg-main-table').on('click', '.btn-delete', function () {
        $('#delete-input-id').val($(this).attr('data-id'));
        $('#delete-modal').modal('show');
    });
})
</script>
@endsection